<?php
include("fnc.php");
set_time_limit(1800);
error_reporting(E_ALL);
$crlf="\r\n";

function my_handler($sql_insert) {
                    global $crlf;
                    echo "$sql_insert;$crlf";
}

function export_table_content_insert($db, $table){
                    global $crlf;
                    $archivo=fopen("./tmpss/".$table.".txt","w+");
                    fwrite($archivo,date("Y-m-d H:i:s").$crlf);

                    $result = mysql_db_query($db, "SELECT * FROM $table") or die();
                    $i = 0;
                    while($row = mysql_fetch_row($result))
                    {
                        $table_list = "(";

                        for($j=0; $j<mysql_num_fields($result);$j++)
                            $table_list .= mysql_field_name($result,$j).", ";

                        $table_list = substr($table_list,0,-2);
                        $table_list .= ")";

                        if(isset($GLOBALS["showcolumns"]))
                            $schema_insert = "INSERT INTO $table $table_list VALUES (";
                        else
                            $schema_insert = "INSERT INTO $table VALUES (";

                        for($j=0; $j<mysql_num_fields($result);$j++)
                        {
                            if(!isset($row[$j]))
                                $schema_insert .= " NULL,";
                            elseif($row[$j] != "")
                                $schema_insert .= " \"".addslashes($row[$j])."\",";
                            else
                                $schema_insert .= " \"\",";
                        }
                        $schema_insert = ereg_replace(",$", "", $schema_insert);
                        $schema_insert .= ");".$crlf;
                        
                        fwrite($archivo,$schema_insert);
                        //echo $schema_insert."<br>";
                        //$handler(trim($schema_insert));
                        $i++;
                    }
                    
                    
                    //return $schema_insert;
                    fclose($archivo);
                    chmod("./tmpss/$table.txt",0770);
                    echo "$table -> GENERADO [OK] -> <br>";
                    
                    
                    // transferir el archivo a ftp
                    // abrir algun archivo para lectura
                    
                    /*
                    $archivo = "/www/htdocs/educativo/tmpss/$table.txt";
                    $servidor_ftp="coactemalan.net";
                    $ftp_nombre_usuario="coacte";
                    $ftp_contrasenya="william10";
                    
                    $da = fopen("./tmpss/$table.txt", 'r');

                    // configurar la conexion basica
                    $id_con = ftp_connect($servidor_ftp) or die("No se conectó al servidor");

                    // iniciar sesion con nombre de usuario y contraseña
                    $resultado_login = ftp_login($id_con, $ftp_nombre_usuario, $ftp_contrasenya) or die("No se inicio sesion");

                    // trata de cargar $archivo
                    if (ftp_fput($id_con, $archivo, $da, FTP_ASCII)) {
                         echo "CARGADO [OK] <BR>";
                    } else {
                         echo "CARGADO [FALLO] <BR>";
                    }

                    // cerrar la conexion y el gestor de archivo
                    ftp_close($id_con);
                    fclose($da);
                    // fin de transferir el archivo a ftp
                    */
                    return (true);
}

function import_table_content($archivo){
  $lineas=file("http://www.coactemalan.net/educativo/tmpss/index.php?p=zwy7y2e2!&archivo=$archivo");
  
  $cant_lineas = count($lineas);
  
  if($cant_lineas <= 1){
    return false;
  }
  
  //echo "delete from $archivo<br>";
  if($archivo!="alumnos" && $archivo!="usuarios"){
    $del=mysql_query("delete from $archivo");
  }
  
  for($i=1; $i<$cant_lineas; $i++){
    //echo $lineas[$i]."<br>";
    $res=mysql_query($lineas[$i]);
  }
}

function export_table_content_update($table){
  global $crlf;
  $archivo=fopen("./archivos/".$table.".txt","w+");
  fwrite($archivo,date("Y-m-d H:i:s").$crlf);

  $q=mysql_query("select * from $table");
  $campos=Array();

  for($i=0;$i<mysql_num_fields($q);$i++){
    $campos[$i]=mysql_field_name($q,$i);
  }



  while($ialumno=mysql_fetch_array($q)){
  
    $sql="update $table set ";
    
    for($i=1;$i<count($campos);$i++){
    
      if($campos[$i]=="clave" || $campos[$i]=="clave_web"){continue;}
    
      $sql.=$campos[$i]."=";
      if(!isset($ialumno[$i])){
        $sql.="NULL, ";
      }else{
        $ialumno[$i]=str_replace(chr(13),"",$ialumno[$i]);
        $ialumno[$i]=str_replace("\n","",$ialumno[$i]);
        $sql.="\"".$ialumno[$i]."\", ";
      }
    }
    $sql=substr($sql,0,strlen($sql)-2); 
    $sql.=" where {$campos[0]} = \"$ialumno[0]\";";
    $sql.=$crlf;
    //echo $sql;  
    fwrite($archivo,$sql);
  }

  fclose($archivo);
  chmod("./archivos/$table.txt",0770);
  echo "$table -> GENERADO [OK] -> ";
                    
                    
                    // transferir el archivo a ftp
                    // abrir algun archivo para lectura
                    $archivo = "/www/htdocs/educativo/tmpss/$table.txt";
                    $servidor_ftp="coactemalan.net";
                    $ftp_nombre_usuario="coacte";
                    $ftp_contrasenya="william10";
                    
                    $da = fopen("./archivos/$table.txt", 'r');

                    // configurar la conexion basica
                    $id_con = ftp_connect($servidor_ftp) or die("No se conectó al servidor");

                    // iniciar sesion con nombre de usuario y contraseña
                    $resultado_login = ftp_login($id_con, $ftp_nombre_usuario, $ftp_contrasenya) or die("No se inicio sesion");

                    // trata de cargar $archivo
                    if (ftp_fput($id_con, $archivo, $da, FTP_ASCII)) {
                         echo "CARGADO [OK] <BR>\n";
                    } else {
                         echo "CARGADO [FALLO] <BR>\n";
                    }

                    // cerrar la conexion y el gestor de archivo
                    ftp_close($id_con);
                    fclose($da);
                    // fin de transferir el archivo a ftp
                    return (true);

}

$trn_tables=Array();
$trn_tables[]="cp_boletas";
$trn_tables[]="cp_cargos";
$trn_tables[]="cp_cargosgenerales";
$trn_tables[]="cp_cobros";
$trn_tables[]="cp_depositos_bi";
$trn_tables[]="cp_det_cobros";
$trn_tables[]="cp_det_planesdepagos";
$trn_tables[]="cp_detalle_recibos";
$trn_tables[]="cp_planesdepagos";
$trn_tables[]="cp_recibos";
$trn_tables[]="cp_talonarios";
$trn_tables[]="cp_tipos_cargos";
$trn_tables[]="preinscripciones";
$trn_tables[]="asistencias";
$trn_tables[]="alumnos";
$trn_tables[]="usuarios";
$trn_tables[]='conocimientos';

for($i=0;$i<count($trn_tables);$i++){
  import_table_content($trn_tables[$i]);
}

$trn_downupd=Array();
$arr_downupd[]='accesos';
$arr_downupd[]='archivos';
$arr_downupd[]='asignaciones';
$arr_downupd[]='asistencias';
$arr_downupd[]='bp_opciones';
$arr_downupd[]='bp_preguntas';
$arr_downupd[]='bp_unidades';
$arr_downupd[]='calendario';
$arr_downupd[]='conocimientos_niveles';
$arr_downupd[]='conocimientos_tipos';
$arr_downupd[]='contenidos';
$arr_downupd[]='cursos';
$arr_downupd[]='cursos_catedraticos';
$arr_downupd[]='cursos_grados';
$arr_downupd[]='departamentos';
$arr_downupd[]='enc_opciones';
$arr_downupd[]='enc_preguntas';
$arr_downupd[]='enc_respuestas';
$arr_downupd[]='encuestas';
$arr_downupd[]='enlaces';
$arr_downupd[]='error';
$arr_downupd[]='ev_d_opciones';
$arr_downupd[]='ev_d_preguntas';
$arr_downupd[]='ev_m_opciones';
$arr_downupd[]='ev_m_preguntas';
$arr_downupd[]='evaluaciones';
$arr_downupd[]='expedientes';
$arr_downupd[]='grados';
$arr_downupd[]='grados_contratos';
$arr_downupd[]='hist_notas';
$arr_downupd[]='jornadas';
$arr_downupd[]='log_cambio_asistencia';
$arr_downupd[]='log_cambio_notas';
$arr_downupd[]='log_cambio_notastr';
$arr_downupd[]='log_downloads';
$arr_downupd[]='log_enlaces';
$arr_downupd[]='me_categorias';
$arr_downupd[]='me_opciones';
$arr_downupd[]='me_permisos';
$arr_downupd[]='msg_mensajes';
$arr_downupd[]='municipios';
$arr_downupd[]='niveles';
$arr_downupd[]='notas_unidades';
$arr_downupd[]='pizarra_mensajes';
$arr_downupd[]='pizarra_temas';
$arr_downupd[]='rangos_telefonos';
$arr_downupd[]='religiones';
$arr_downupd[]='respuesta_tareas';
$arr_downupd[]='respuestas_d';
$arr_downupd[]='respuestas_m';
$arr_downupd[]='soporte';
$arr_downupd[]='tareas';
$arr_downupd[]='tiempos';
$arr_downupd[]='tmp_examen';
$arr_downupd[]='unidades_grados';
$arr_downupd[]='zonas_unidades';

for($i=0;$i<count($arr_downupd);$i++){
   export_table_content_insert("edccoacte",$arr_downupd[$i]);
}

echo "finalizado...";
?>
